Update automatically managed build utilities.
[autoys] / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 ### -*-makefile-*-
19 ###
20 ### Top-level build script for `autoys'
21 ###
22 ### (c) 2016 Mark Wooding
23 ###
24
25 ###----- Licensing notice ---------------------------------------------------
26 ###
27 ### This file is part of the `autoys' audio tools collection.
28 ###
29 ### `autoys' is free software; you can redistribute it and/or modify
30 ### it under the terms of the GNU General Public License as published by
31 ### the Free Software Foundation; either version 2 of the License, or
32 ### (at your option) any later version.
33 ###
34 ### `autoys' is distributed in the hope that it will be useful,
35 ### but WITHOUT ANY WARRANTY; without even the implied warranty of
36 ### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
37 ### GNU General Public License for more details.
38 ###
39 ### You should have received a copy of the GNU General Public License
40 ### along with `autoys'; if not, write to the Free Software Foundation,
41 ### Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
42
43 ### -*-makefile-*-
44 ###
45 ### Common definitions
46 ###
47 ### (c) 2016 Mark Wooding
48 ###
49
50 ###----- Licensing notice ---------------------------------------------------
51 ###
52 ### This file is part of the `autoys' audio tools collection.
53 ###
54 ### `autoys' is free software; you can redistribute it and/or modify
55 ### it under the terms of the GNU General Public License as published by
56 ### the Free Software Foundation; either version 2 of the License, or
57 ### (at your option) any later version.
58 ###
59 ### `autoys' is distributed in the hope that it will be useful,
60 ### but WITHOUT ANY WARRANTY; without even the implied warranty of
61 ### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
62 ### GNU General Public License for more details.
63 ###
64 ### You should have received a copy of the GNU General Public License
65 ### along with `autoys'; if not, write to the Free Software Foundation,
66 ### Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
67
68 ###--------------------------------------------------------------------------
69 ### Initial values of common variables.
70
71
72 VPATH = @srcdir@
73 am__make_dryrun = \
74 { \
75 am__dry=no; \
76 case $$MAKEFLAGS in \
77 *\\[\ \ ]*) \
78 echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
79 | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
80 *) \
81 for am__flg in $$MAKEFLAGS; do \
82 case $$am__flg in \
83 *=*|--*) ;; \
84 *n*) am__dry=yes; break;; \
85 esac; \
86 done;; \
87 esac; \
88 test $$am__dry = yes; \
89 }
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 DIST_COMMON = $(am__configure_deps) $(dist_man_MANS) \
107 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
108 $(top_srcdir)/configure $(top_srcdir)/vars.am COPYING \
109 config/install-sh config/missing
110 bin_PROGRAMS =
111 subdir = .
112 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
113 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
114 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
115 $(ACLOCAL_M4)
116 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
117 configure.lineno config.status.lineno
118 mkinstalldirs = $(install_sh) -d
119 CONFIG_CLEAN_FILES =
120 CONFIG_CLEAN_VPATH_FILES =
121 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
122 PROGRAMS = $(bin_PROGRAMS)
123 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
124 am__vpath_adj = case $$p in \
125 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
126 *) f=$$p;; \
127 esac;
128 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
129 am__install_max = 40
130 am__nobase_strip_setup = \
131 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
132 am__nobase_strip = \
133 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
134 am__nobase_list = $(am__nobase_strip_setup); \
135 for p in $$list; do echo "$$p $$p"; done | \
136 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
137 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
138 if (++n[$$2] == $(am__install_max)) \
139 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
140 END { for (dir in files) print dir, files[dir] }'
141 am__base_list = \
142 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
143 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
144 am__uninstall_files_from_dir = { \
145 test -z "$$files" \
146 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
147 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
148 $(am__cd) "$$dir" && rm -f $$files; }; \
149 }
150 SCRIPTS = $(bin_SCRIPTS)
151 AM_V_GEN = $(am__v_GEN_@AM_V@)
152 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
153 am__v_GEN_0 = @echo " GEN " $@;
154 AM_V_at = $(am__v_at_@AM_V@)
155 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
156 am__v_at_0 = @
157 SOURCES =
158 DIST_SOURCES =
159 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
160 html-recursive info-recursive install-data-recursive \
161 install-dvi-recursive install-exec-recursive \
162 install-html-recursive install-info-recursive \
163 install-pdf-recursive install-ps-recursive install-recursive \
164 installcheck-recursive installdirs-recursive pdf-recursive \
165 ps-recursive uninstall-recursive
166 am__can_run_installinfo = \
167 case $$AM_UPDATE_INFO_DIR in \
168 n|no|NO) false;; \
169 *) (install-info --version) >/dev/null 2>&1;; \
170 esac
171 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
172 distclean-recursive maintainer-clean-recursive
173 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
174 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
175 distdir dist dist-all distcheck
176 ETAGS = etags
177 CTAGS = ctags
178 DIST_SUBDIRS = $(SUBDIRS)
179 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
180 distdir = $(PACKAGE)-$(VERSION)
181 top_distdir = $(distdir)
182 am__remove_distdir = \
183 if test -d "$(distdir)"; then \
184 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
185 && rm -rf "$(distdir)" \
186 || { sleep 5 && rm -rf "$(distdir)"; }; \
187 else :; fi
188 am__relativize = \
189 dir0=`pwd`; \
190 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
191 sed_rest='s,^[^/]*/*,,'; \
192 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
193 sed_butlast='s,/*[^/]*$$,,'; \
194 while test -n "$$dir1"; do \
195 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
196 if test "$$first" != "."; then \
197 if test "$$first" = ".."; then \
198 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
199 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
200 else \
201 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
202 if test "$$first2" = "$$first"; then \
203 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
204 else \
205 dir2="../$$dir2"; \
206 fi; \
207 dir0="$$dir0"/"$$first"; \
208 fi; \
209 fi; \
210 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
211 done; \
212 reldir="$$dir2"
213 DIST_ARCHIVES = $(distdir).tar.gz
214 GZIP_ENV = --best
215 distuninstallcheck_listfiles = find . -type f -print
216 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
217 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
218 distcleancheck_listfiles = find . -type f -print
219 ACLOCAL = @ACLOCAL@
220 AMTAR = @AMTAR@
221 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AWK = @AWK@
226 BASH = @BASH@
227 CC = @CC@
228 CCDEPMODE = @CCDEPMODE@
229 CFLAGS = @CFLAGS@
230 CPPFLAGS = @CPPFLAGS@
231 CYGPATH_W = @CYGPATH_W@
232 DEFS = @DEFS@
233 DEPDIR = @DEPDIR@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 EXEEXT = @EXEEXT@
238 INSTALL = @INSTALL@
239 INSTALL_DATA = @INSTALL_DATA@
240 INSTALL_PROGRAM = @INSTALL_PROGRAM@
241 INSTALL_SCRIPT = @INSTALL_SCRIPT@
242 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
243 LDFLAGS = @LDFLAGS@
244 LIBOBJS = @LIBOBJS@
245 LIBS = @LIBS@
246 LTLIBOBJS = @LTLIBOBJS@
247 MAKEINFO = @MAKEINFO@
248 MKDIR_P = @MKDIR_P@
249 OBJEXT = @OBJEXT@
250 PACKAGE = @PACKAGE@
251 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
252 PACKAGE_NAME = @PACKAGE_NAME@
253 PACKAGE_STRING = @PACKAGE_STRING@
254 PACKAGE_TARNAME = @PACKAGE_TARNAME@
255 PACKAGE_URL = @PACKAGE_URL@
256 PACKAGE_VERSION = @PACKAGE_VERSION@
257 PATH_SEPARATOR = @PATH_SEPARATOR@
258 PYTHON = @PYTHON@
259 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
260 PYTHON_PLATFORM = @PYTHON_PLATFORM@
261 PYTHON_PREFIX = @PYTHON_PREFIX@
262 PYTHON_VERSION = @PYTHON_VERSION@
263 SET_MAKE = @SET_MAKE@
264 SHELL = @SHELL@
265 STRIP = @STRIP@
266 VERSION = @VERSION@
267 abs_builddir = @abs_builddir@
268 abs_srcdir = @abs_srcdir@
269 abs_top_builddir = @abs_top_builddir@
270 abs_top_srcdir = @abs_top_srcdir@
271 ac_ct_CC = @ac_ct_CC@
272 am__include = @am__include@
273 am__leading_dot = @am__leading_dot@
274 am__quote = @am__quote@
275 am__tar = @am__tar@
276 am__untar = @am__untar@
277 bindir = @bindir@
278 build_alias = @build_alias@
279 builddir = @builddir@
280 datadir = @datadir@
281 datarootdir = @datarootdir@
282 docdir = @docdir@
283 dvidir = @dvidir@
284 exec_prefix = @exec_prefix@
285 host_alias = @host_alias@
286 htmldir = @htmldir@
287 includedir = @includedir@
288 infodir = @infodir@
289 install_sh = @install_sh@
290 libdir = @libdir@
291 libexecdir = @libexecdir@
292 localedir = @localedir@
293 localstatedir = @localstatedir@
294 mandir = @mandir@
295 mkdir_p = @mkdir_p@
296 oldincludedir = @oldincludedir@
297 pdfdir = @pdfdir@
298 pkgpyexecdir = @pkgpyexecdir@
299 pkgpythondir = @pkgpythondir@
300 prefix = @prefix@
301 program_transform_name = @program_transform_name@
302 psdir = @psdir@
303 pyexecdir = @pyexecdir@
304 pythondir = @pythondir@
305 sbindir = @sbindir@
306 sharedstatedir = @sharedstatedir@
307 srcdir = @srcdir@
308 sysconfdir = @sysconfdir@
309 target_alias = @target_alias@
310 top_build_prefix = @top_build_prefix@
311 top_builddir = @top_builddir@
312 top_srcdir = @top_srcdir@
313
314 ###--------------------------------------------------------------------------
315 ### Debian.
316 EXTRA_DIST = gremlin/gremlin config/auto-version config/confsubst \
317 debian/rules debian/control debian/changelog debian/copyright \
318 debian/compat debian/source/format
319 CLEANFILES =
320 DISTCLEANFILES =
321 MAINTAINERCLEANFILES =
322 bin_SCRIPTS =
323 dist_man_MANS =
324
325 ###--------------------------------------------------------------------------
326 ### Standard configuration substitutions.
327 confsubst = $(top_srcdir)/config/confsubst
328 SUBSTITUTIONS = \
329 prefix=$(prefix) exec_prefix=$(exec_prefix) \
330 libdir=$(libdir) includedir=$(includedir) \
331 bindir=$(bindir) sbindir=$(sbindir) \
332 PACKAGE=$(PACKAGE) VERSION=$(VERSION) \
333 PYTHON=$(PYTHON) BASH=$(BASH)
334
335 V_SUBST = $(V_SUBST_$(V))
336 V_SUBST_ = $(V_SUBST_$(AM_DEFAULT_VERBOSITY))
337 V_SUBST_0 = @echo " SUBST $@";
338 SUBST = $(V_SUBST)$(confsubst)
339 SUBDIRS =
340 all: all-recursive
341
342 .SUFFIXES:
343 am--refresh: Makefile
344 @:
345 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(top_srcdir)/vars.am $(am__configure_deps)
346 @for dep in $?; do \
347 case '$(am__configure_deps)' in \
348 *$$dep*) \
349 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
350 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
351 && exit 0; \
352 exit 1;; \
353 esac; \
354 done; \
355 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
356 $(am__cd) $(top_srcdir) && \
357 $(AUTOMAKE) --foreign Makefile
358 .PRECIOUS: Makefile
359 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
360 @case '$?' in \
361 *config.status*) \
362 echo ' $(SHELL) ./config.status'; \
363 $(SHELL) ./config.status;; \
364 *) \
365 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
366 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
367 esac;
368 $(top_srcdir)/vars.am:
369
370 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
371 $(SHELL) ./config.status --recheck
372
373 $(top_srcdir)/configure: $(am__configure_deps)
374 $(am__cd) $(srcdir) && $(AUTOCONF)
375 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
376 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
377 $(am__aclocal_m4_deps):
378 install-binPROGRAMS: $(bin_PROGRAMS)
379 @$(NORMAL_INSTALL)
380 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
381 if test -n "$$list"; then \
382 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
383 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
384 fi; \
385 for p in $$list; do echo "$$p $$p"; done | \
386 sed 's/$(EXEEXT)$$//' | \
387 while read p p1; do if test -f $$p; \
388 then echo "$$p"; echo "$$p"; else :; fi; \
389 done | \
390 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
391 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
392 sed 'N;N;N;s,\n, ,g' | \
393 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
394 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
395 if ($$2 == $$4) files[d] = files[d] " " $$1; \
396 else { print "f", $$3 "/" $$4, $$1; } } \
397 END { for (d in files) print "f", d, files[d] }' | \
398 while read type dir files; do \
399 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
400 test -z "$$files" || { \
401 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
402 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
403 } \
404 ; done
405
406 uninstall-binPROGRAMS:
407 @$(NORMAL_UNINSTALL)
408 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
409 files=`for p in $$list; do echo "$$p"; done | \
410 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
411 -e 's/$$/$(EXEEXT)/' `; \
412 test -n "$$list" || exit 0; \
413 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
414 cd "$(DESTDIR)$(bindir)" && rm -f $$files
415
416 clean-binPROGRAMS:
417 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
418 install-binSCRIPTS: $(bin_SCRIPTS)
419 @$(NORMAL_INSTALL)
420 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
421 if test -n "$$list"; then \
422 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
423 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
424 fi; \
425 for p in $$list; do \
426 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
427 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
428 done | \
429 sed -e 'p;s,.*/,,;n' \
430 -e 'h;s|.*|.|' \
431 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
432 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
433 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
434 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
435 if (++n[d] == $(am__install_max)) { \
436 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
437 else { print "f", d "/" $$4, $$1 } } \
438 END { for (d in files) print "f", d, files[d] }' | \
439 while read type dir files; do \
440 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
441 test -z "$$files" || { \
442 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
443 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
444 } \
445 ; done
446
447 uninstall-binSCRIPTS:
448 @$(NORMAL_UNINSTALL)
449 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
450 files=`for p in $$list; do echo "$$p"; done | \
451 sed -e 's,.*/,,;$(transform)'`; \
452 dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
453
454 # This directory's subdirectories are mostly independent; you can cd
455 # into them and run `make' without going through this Makefile.
456 # To change the values of `make' variables: instead of editing Makefiles,
457 # (1) if the variable is set in `config.status', edit `config.status'
458 # (which will cause the Makefiles to be regenerated when you run `make');
459 # (2) otherwise, pass the desired values on the `make' command line.
460 $(RECURSIVE_TARGETS):
461 @fail= failcom='exit 1'; \
462 for f in x $$MAKEFLAGS; do \
463 case $$f in \
464 *=* | --[!k]*);; \
465 *k*) failcom='fail=yes';; \
466 esac; \
467 done; \
468 dot_seen=no; \
469 target=`echo $@ | sed s/-recursive//`; \
470 list='$(SUBDIRS)'; for subdir in $$list; do \
471 echo "Making $$target in $$subdir"; \
472 if test "$$subdir" = "."; then \
473 dot_seen=yes; \
474 local_target="$$target-am"; \
475 else \
476 local_target="$$target"; \
477 fi; \
478 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
479 || eval $$failcom; \
480 done; \
481 if test "$$dot_seen" = "no"; then \
482 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
483 fi; test -z "$$fail"
484
485 $(RECURSIVE_CLEAN_TARGETS):
486 @fail= failcom='exit 1'; \
487 for f in x $$MAKEFLAGS; do \
488 case $$f in \
489 *=* | --[!k]*);; \
490 *k*) failcom='fail=yes';; \
491 esac; \
492 done; \
493 dot_seen=no; \
494 case "$@" in \
495 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
496 *) list='$(SUBDIRS)' ;; \
497 esac; \
498 rev=''; for subdir in $$list; do \
499 if test "$$subdir" = "."; then :; else \
500 rev="$$subdir $$rev"; \
501 fi; \
502 done; \
503 rev="$$rev ."; \
504 target=`echo $@ | sed s/-recursive//`; \
505 for subdir in $$rev; do \
506 echo "Making $$target in $$subdir"; \
507 if test "$$subdir" = "."; then \
508 local_target="$$target-am"; \
509 else \
510 local_target="$$target"; \
511 fi; \
512 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
513 || eval $$failcom; \
514 done && test -z "$$fail"
515 tags-recursive:
516 list='$(SUBDIRS)'; for subdir in $$list; do \
517 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
518 done
519 ctags-recursive:
520 list='$(SUBDIRS)'; for subdir in $$list; do \
521 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
522 done
523
524 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
525 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
526 unique=`for i in $$list; do \
527 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
528 done | \
529 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
530 END { if (nonempty) { for (i in files) print i; }; }'`; \
531 mkid -fID $$unique
532 tags: TAGS
533
534 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
535 $(TAGS_FILES) $(LISP)
536 set x; \
537 here=`pwd`; \
538 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
539 include_option=--etags-include; \
540 empty_fix=.; \
541 else \
542 include_option=--include; \
543 empty_fix=; \
544 fi; \
545 list='$(SUBDIRS)'; for subdir in $$list; do \
546 if test "$$subdir" = .; then :; else \
547 test ! -f $$subdir/TAGS || \
548 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
549 fi; \
550 done; \
551 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
552 unique=`for i in $$list; do \
553 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
554 done | \
555 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
556 END { if (nonempty) { for (i in files) print i; }; }'`; \
557 shift; \
558 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
559 test -n "$$unique" || unique=$$empty_fix; \
560 if test $$# -gt 0; then \
561 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
562 "$$@" $$unique; \
563 else \
564 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
565 $$unique; \
566 fi; \
567 fi
568 ctags: CTAGS
569 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
570 $(TAGS_FILES) $(LISP)
571 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
572 unique=`for i in $$list; do \
573 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
574 done | \
575 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
576 END { if (nonempty) { for (i in files) print i; }; }'`; \
577 test -z "$(CTAGS_ARGS)$$unique" \
578 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
579 $$unique
580
581 GTAGS:
582 here=`$(am__cd) $(top_builddir) && pwd` \
583 && $(am__cd) $(top_srcdir) \
584 && gtags -i $(GTAGS_ARGS) "$$here"
585
586 distclean-tags:
587 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
588
589 distdir: $(DISTFILES)
590 $(am__remove_distdir)
591 test -d "$(distdir)" || mkdir "$(distdir)"
592 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
593 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
594 list='$(DISTFILES)'; \
595 dist_files=`for file in $$list; do echo $$file; done | \
596 sed -e "s|^$$srcdirstrip/||;t" \
597 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
598 case $$dist_files in \
599 */*) $(MKDIR_P) `echo "$$dist_files" | \
600 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
601 sort -u` ;; \
602 esac; \
603 for file in $$dist_files; do \
604 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
605 if test -d $$d/$$file; then \
606 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
607 if test -d "$(distdir)/$$file"; then \
608 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
609 fi; \
610 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
611 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
612 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
613 fi; \
614 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
615 else \
616 test -f "$(distdir)/$$file" \
617 || cp -p $$d/$$file "$(distdir)/$$file" \
618 || exit 1; \
619 fi; \
620 done
621 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
622 if test "$$subdir" = .; then :; else \
623 $(am__make_dryrun) \
624 || test -d "$(distdir)/$$subdir" \
625 || $(MKDIR_P) "$(distdir)/$$subdir" \
626 || exit 1; \
627 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
628 $(am__relativize); \
629 new_distdir=$$reldir; \
630 dir1=$$subdir; dir2="$(top_distdir)"; \
631 $(am__relativize); \
632 new_top_distdir=$$reldir; \
633 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
634 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
635 ($(am__cd) $$subdir && \
636 $(MAKE) $(AM_MAKEFLAGS) \
637 top_distdir="$$new_top_distdir" \
638 distdir="$$new_distdir" \
639 am__remove_distdir=: \
640 am__skip_length_check=: \
641 am__skip_mode_fix=: \
642 distdir) \
643 || exit 1; \
644 fi; \
645 done
646 $(MAKE) $(AM_MAKEFLAGS) \
647 top_distdir="$(top_distdir)" distdir="$(distdir)" \
648 dist-hook
649 -test -n "$(am__skip_mode_fix)" \
650 || find "$(distdir)" -type d ! -perm -755 \
651 -exec chmod u+rwx,go+rx {} \; -o \
652 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
653 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
654 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
655 || chmod -R a+r "$(distdir)"
656 dist-gzip: distdir
657 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
658 $(am__remove_distdir)
659
660 dist-bzip2: distdir
661 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
662 $(am__remove_distdir)
663
664 dist-lzip: distdir
665 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
666 $(am__remove_distdir)
667
668 dist-lzma: distdir
669 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
670 $(am__remove_distdir)
671
672 dist-xz: distdir
673 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
674 $(am__remove_distdir)
675
676 dist-tarZ: distdir
677 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
678 $(am__remove_distdir)
679
680 dist-shar: distdir
681 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
682 $(am__remove_distdir)
683
684 dist-zip: distdir
685 -rm -f $(distdir).zip
686 zip -rq $(distdir).zip $(distdir)
687 $(am__remove_distdir)
688
689 dist dist-all: distdir
690 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
691 $(am__remove_distdir)
692
693 # This target untars the dist file and tries a VPATH configuration. Then
694 # it guarantees that the distribution is self-contained by making another
695 # tarfile.
696 distcheck: dist
697 case '$(DIST_ARCHIVES)' in \
698 *.tar.gz*) \
699 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
700 *.tar.bz2*) \
701 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
702 *.tar.lzma*) \
703 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
704 *.tar.lz*) \
705 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
706 *.tar.xz*) \
707 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
708 *.tar.Z*) \
709 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
710 *.shar.gz*) \
711 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
712 *.zip*) \
713 unzip $(distdir).zip ;;\
714 esac
715 chmod -R a-w $(distdir); chmod u+w $(distdir)
716 mkdir $(distdir)/_build
717 mkdir $(distdir)/_inst
718 chmod a-w $(distdir)
719 test -d $(distdir)/_build || exit 0; \
720 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
721 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
722 && am__cwd=`pwd` \
723 && $(am__cd) $(distdir)/_build \
724 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
725 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
726 $(DISTCHECK_CONFIGURE_FLAGS) \
727 && $(MAKE) $(AM_MAKEFLAGS) \
728 && $(MAKE) $(AM_MAKEFLAGS) dvi \
729 && $(MAKE) $(AM_MAKEFLAGS) check \
730 && $(MAKE) $(AM_MAKEFLAGS) install \
731 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
732 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
733 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
734 distuninstallcheck \
735 && chmod -R a-w "$$dc_install_base" \
736 && ({ \
737 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
738 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
739 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
740 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
741 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
742 } || { rm -rf "$$dc_destdir"; exit 1; }) \
743 && rm -rf "$$dc_destdir" \
744 && $(MAKE) $(AM_MAKEFLAGS) dist \
745 && rm -rf $(DIST_ARCHIVES) \
746 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
747 && cd "$$am__cwd" \
748 || exit 1
749 $(am__remove_distdir)
750 @(echo "$(distdir) archives ready for distribution: "; \
751 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
752 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
753 distuninstallcheck:
754 @test -n '$(distuninstallcheck_dir)' || { \
755 echo 'ERROR: trying to run $@ with an empty' \
756 '$$(distuninstallcheck_dir)' >&2; \
757 exit 1; \
758 }; \
759 $(am__cd) '$(distuninstallcheck_dir)' || { \
760 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
761 exit 1; \
762 }; \
763 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
764 || { echo "ERROR: files left after uninstall:" ; \
765 if test -n "$(DESTDIR)"; then \
766 echo " (check DESTDIR support)"; \
767 fi ; \
768 $(distuninstallcheck_listfiles) ; \
769 exit 1; } >&2
770 distcleancheck: distclean
771 @if test '$(srcdir)' = . ; then \
772 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
773 exit 1 ; \
774 fi
775 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
776 || { echo "ERROR: files left in build directory after distclean:" ; \
777 $(distcleancheck_listfiles) ; \
778 exit 1; } >&2
779 check-am: all-am
780 check: check-recursive
781 all-am: Makefile $(PROGRAMS) $(SCRIPTS)
782 installdirs: installdirs-recursive
783 installdirs-am:
784 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"; do \
785 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
786 done
787 install: install-recursive
788 install-exec: install-exec-recursive
789 install-data: install-data-recursive
790 uninstall: uninstall-recursive
791
792 install-am: all-am
793 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
794
795 installcheck: installcheck-recursive
796 install-strip:
797 if test -z '$(STRIP)'; then \
798 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
799 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
800 install; \
801 else \
802 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
803 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
804 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
805 fi
806 mostlyclean-generic:
807
808 clean-generic:
809 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
810
811 distclean-generic:
812 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
813 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
814 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
815
816 maintainer-clean-generic:
817 @echo "This command is intended for maintainers to use"
818 @echo "it deletes files that may require special tools to rebuild."
819 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
820 clean: clean-recursive
821
822 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
823
824 distclean: distclean-recursive
825 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
826 -rm -f Makefile
827 distclean-am: clean-am distclean-generic distclean-tags
828
829 dvi: dvi-recursive
830
831 dvi-am:
832
833 html: html-recursive
834
835 html-am:
836
837 info: info-recursive
838
839 info-am:
840
841 install-data-am:
842
843 install-dvi: install-dvi-recursive
844
845 install-dvi-am:
846
847 install-exec-am: install-binPROGRAMS install-binSCRIPTS
848
849 install-html: install-html-recursive
850
851 install-html-am:
852
853 install-info: install-info-recursive
854
855 install-info-am:
856
857 install-man:
858
859 install-pdf: install-pdf-recursive
860
861 install-pdf-am:
862
863 install-ps: install-ps-recursive
864
865 install-ps-am:
866
867 installcheck-am:
868
869 maintainer-clean: maintainer-clean-recursive
870 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
871 -rm -rf $(top_srcdir)/autom4te.cache
872 -rm -f Makefile
873 maintainer-clean-am: distclean-am maintainer-clean-generic
874
875 mostlyclean: mostlyclean-recursive
876
877 mostlyclean-am: mostlyclean-generic
878
879 pdf: pdf-recursive
880
881 pdf-am:
882
883 ps: ps-recursive
884
885 ps-am:
886
887 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS
888
889 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
890 install-am install-strip tags-recursive
891
892 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
893 all all-am am--refresh check check-am clean clean-binPROGRAMS \
894 clean-generic ctags ctags-recursive dist dist-all dist-bzip2 \
895 dist-gzip dist-hook dist-lzip dist-lzma dist-shar dist-tarZ \
896 dist-xz dist-zip distcheck distclean distclean-generic \
897 distclean-tags distcleancheck distdir distuninstallcheck dvi \
898 dvi-am html html-am info info-am install install-am \
899 install-binPROGRAMS install-binSCRIPTS install-data \
900 install-data-am install-dvi install-dvi-am install-exec \
901 install-exec-am install-html install-html-am install-info \
902 install-info-am install-man install-pdf install-pdf-am \
903 install-ps install-ps-am install-strip installcheck \
904 installcheck-am installdirs installdirs-am maintainer-clean \
905 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
906 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
907 uninstall-binPROGRAMS uninstall-binSCRIPTS
908
909
910 ###----- That's all, folks --------------------------------------------------
911
912 ###--------------------------------------------------------------------------
913 ### Subdirectories.
914
915 ###--------------------------------------------------------------------------
916 ### Release tweaking.
917
918 dist-hook::
919 echo $(VERSION) >$(distdir)/RELEASE
920
921 ###----- That's all, folks --------------------------------------------------
922
923 # Tell versions [3.59,3.63) of GNU make to not export all variables.
924 # Otherwise a system limit (for SysV at least) may be exceeded.
925 .NOEXPORT: